This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 517626 - Month's length with LC_TIME=fr_FR.UTF-8
Month's length with LC_TIME=fr_FR.UTF-8
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-15 06:12 EDT by Laurent Le Grandois
Modified: 2009-09-15 03:35 EDT (History)
6 users (show)

See Also:
Fixed In Version: 7.2-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-15 03:35:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Laurent Le Grandois 2009-08-15 06:12:15 EDT
Description of problem: 

With LC_TIME=fr_FR.UTF-8, length of month changes because of dot when length is greater than 4, so displayed lines are not aligned :
lrwxrwxrwx  21 juin 24 13:55 4a42141e3eca7 -> /etc/cups/ppd/s20.ppd   
lrwxrwxrwx  21 juil. 11 16:23 4a58a05a3280d -> /etc/cups/ppd/s20.ppd  
lrwxrwxrwx  26 août  4 15:20 4a783585e8a01 -> /etc/cups/ppd/Cups-PDF.ppd  

It's ok when LC_TIME is setted to fr_BE.utf8

lrwxrwxrwx  21 jun 24 13:55 4a42141e3eca7 -> /etc/cups/ppd/s20.ppd   
lrwxrwxrwx  21 jui 11 16:23 4a58a05a3280d -> /etc/cups/ppd/s20.ppd  
lrwxrwxrwx  26 aoû  4 15:20 4a783585e8a01 -> /etc/cups/ppd/Cups-PDF.ppd  





Version-Release number of selected component (if applicable):

coreutils-7.2-3.fc11.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Andreas Schwab 2009-08-17 06:05:36 EDT
There is nothing that restricts abbreviated month names to three characters.

http://git.savannah.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=612b647dd16d5abc03b295abe42d8b4a0fe660f7
Comment 2 Ondrej Vasik 2009-08-17 07:35:29 EDT
Yep, I know about the discussion on upstream mailing list and about that commit. As the fix was included in 7.4, it should be already ok in rawhide, so will include that fix in next F-11 coreutils update (as soon as there will be more fixes in rawhide to make cumulative update).
Comment 3 Fedora Update System 2009-09-08 07:16:10 EDT
coreutils-7.2-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/coreutils-7.2-4.fc11
Comment 4 Fedora Update System 2009-09-08 21:48:30 EDT
coreutils-7.2-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update coreutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9385
Comment 5 Fedora Update System 2009-09-15 03:35:15 EDT
coreutils-7.2-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.